Banda Ancha EU

Comunidad de usuarios
de fibra, móvil y ADSL

Algo le pasa al Yast o a mi sistema.

canariux

Me es imposible instalar nada descargado de los repositorios, o inclusive bajándo el rpm desde la página de su autor, me dan siempre el mismo error, por ejemplo:

2006-08-13 22:16:57 kdeaddons3-kicker-3.5.4-14.3.i586.rpm install failed
rpm output:

2006-08-13 22:16:57 kdeaddons3-kicker-3.5.4-14.3.i586.rpm install failed
rpm output:

2006-08-13 22:16:57 kdeaddons3-kicker-3.5.4-14.3.i586.rpm install failed
rpm output:

Y así con cualquier paquete. He borrado los repositorios y vuelto a instalar, reinstalado el rpm y me sigue pasando lo mismo, no se me ocurre que se puede haber corrompido en mi suse 10.1.

¿Alguna idea?, gracias.

Este tema está cerrado a nuevas respuestas. Abre un nuevo tema para retomar la conversación.
overpeer

Mira me pillas ahora mismo estudiando el RPM para el examen LPI 101 xDDD

Prueba:

rpm -rebuilddb

Pero esos errores te salen ... al hacer que? que intentas hacer?

Si ese paquete te da por saco, prueba a desinstalarlo con:

rpm -e --nodeps

No tengo a mano un sistema rpm ahora mismo, ves intentando y te digo :D

Igual te viene esto bien ;)

(link roto)

Un saludo.

🗨️ 9
canariux

Hola over, pues los fallos me salen al intentar instalar cualquier programa de un repositorio, o al intentar actualizar algún paquete. Por ejemplo, Kaffeine, no me deja ni actualizar la versión ni desinstalar la que tengo, y si me bajo el paquete sin utilizar los repositorios, también me falla. Probaré lo que dices, porque yo ya estoy por volver a instalar el suse.

Ainsss.

canariux

Emmm, pues estoy como "super" y al hacer lo que dices me sale el siguiente mensaje:

"rpm: arguments to --root (-r) must begin with a /"

🗨️ 7
overpeer

-rebuilddb

con un - solo. perdon xD

🗨️ 6
canariux

Sip, así lo hice, con un solo guión, incluso estoy dentro de /var/lib/rpm como dice el pdf, pero me sale el mensaje de arriba.
Se me escapa lo que me pide para ejecutar correctamente el comando.

"rpm: arguments to --root (-r) must begin with a /"

🗨️ 1
canariux

Pues es con dos "-", fíjate tú por dónde.... :-P

Vaya, parece que va, mañana te cuento, dejo actualizando el kde y me piro a sobarla.

Gracias overpeer.

🗨️ 3
overpeer
🗨️ 1